
const ProfileHandler = require('./control')
const profileHandler = new ProfileHandler()
const router = [
  {
    method: 'post',
    path: '',
    callback: async function (req, res, next) {
      try {
        const data = req.body
        const { type } = req.query
        await profileHandler.createOrUpdateProfile(data, type)
        const result = {
          code: 200,
          message: 'success'
        };
        res.send(result);
      } catch (err) {
        next(err);
      }
    }
  },
  {
    method: 'get',
    path: '',
    callback: async function (req, res, next) {
      try {
        let data = []
        data = profileHandler.getProfile()
        const result = {
          code: 200,
          message: 'success',
          data
        };
        res.send(result);
      } catch (err) {
        next(err);
      }
    }
  },
  {
    method: 'post',
    path: '/open',
    callback: async function (req, res, next) {
      try {
        const { body } = req
        const data = await profileHandler.openProfile(body.name)
        const result = {
          code: 200,
          message: 'success',
          data: JSON.parse(data.toString())
        };
        res.send(result);
      } catch (err) {
        next(err);
      }
    }
  },
  {
    method: 'delete',
    path: '',
    callback: async function (req, res, next) {
      try {
        const { body } = req
        profileHandler.deleteProfile(body)
        const result = {
          code: 200,
          message: 'success'
        };
        res.send(result);
      } catch (err) {
        next(err);
      }
    }
  }
]

module.exports = router
