
const fs = require('fs');

const writeFile = (filePath, data) => new Promise((resolve, reject) => {
  fs.writeFile(filePath, data, (err, data) => {
    if (err) {
      reject(err)
    }
    resolve(data)
  })
})

const readFile = filePath => new Promise((resolve, reject) => {
  fs.readFile(filePath, (err, data) => {
    if (err) {
      reject(err)
    }
    resolve(data)
  })
})

module.exports = {
  readFile,
  writeFile
}
